Summary: 	A DSSSL implementation.
Name: 		openjade-devel
Version: 	1.3.2
Release: 	1
Source0: 	openjade-%{version}.tar.gz
URL: 		http://openjade.sourceforge.net/
License: 	Distributable
Group: 		Development/doc
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: 	/usr
Provides: 	jade
Requires: 	openjade-devel sgml-tools-devel sgml-common-devel docbook-dtds-devel docbook-utils-devel xmlto-devel
%define sgmlbase %{_datadir}/sgml

%description
OpenJade is an implementation of the ISO/IEC 10179:1996 standard DSSSL
(Document Style Semantics and Specification Language). OpenJade is
based on James Clark's Jade implementation of DSSSL. OpenJade is a
commmand-line application and a set of components. The DSSSL engine
inputs an SGML or XML document and can output a variety of formats:
XML, RTF, TeX, MIF (FrameMaker), SGML, or XML.

%prep
%setup -q -n openjade-%version

%build
cp config/configure.in .
libtoolize --copy --force
%configure --prefix=%{prefix} --enable-static \
 --enable-default-catalog=/etc/sgml/catalog \
 --enable-default-search-path=/usr/share/sgml \
 --datadir=/usr/share/sgml/%{name}-%{version} \
 --enable-http --enable-spincludedir=/usr/include/OpenSP

make

%install
rm -rf $RPM_BUILD_ROOT
# NOTE: in installing I am also copying a bunch of .h files into 
# $(prefix)/include/sp/{generic,include,lib}.  This is so that the 
# library API can be used.  It's an ugly kludge, and the best way 
# would be for James Clark to tell us what the appropriate list of 
# files to be included is. 

[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir}/sp/generic,%{_includedir}/sp/include,%{_includedir}/sp/lib}
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/{pubtext,unicode}

%makeinstall install-man datadir=$RPM_BUILD_ROOT/%{sgmlbase}

# Why do this file gets installed here ??? 
rm -f $RPM_BUILD_ROOT%{sgmlbase}/builtins.dsl

install generic/*.h $RPM_BUILD_ROOT%{_includedir}/sp/generic/
install include/*.h $RPM_BUILD_ROOT%{_includedir}/sp/include/
cp dsssl/builtins.dsl dsssl/catalog $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/
install pubtext/* $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/pubtext
install unicode/* $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/unicode
cp dsssl/dsssl.dtd dsssl/style-sheet.dtd dsssl/fot.dtd $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/

cd $RPM_BUILD_ROOT%{sgmlbase}
ln -s %{name}-%{version} %{name}
ln -s %{name}-%{version}/pubtext/xml.dcl xml.dcl
ln -s %{name}-%{version}/pubtext/xml.soc xml.soc
ln -s %{name}-%{version}/pubtext/html.dcl html.dcl
ln -s %{name}-%{version}/pubtext/html.soc html.soc

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sgml
touch $RPM_BUILD_ROOT%{_sysconfdir}/sgml/dsssl-%{version}.cat \
 $RPM_BUILD_ROOT%{_sysconfdir}/sgml/dsssl.cat \
 $RPM_BUILD_ROOT%{_sysconfdir}/sgml/catalog

ln -sf openjade $RPM_BUILD_ROOT/usr/bin/jade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
